- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotSettings/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotSettings/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotSettings/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotSettings/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotSettings/get#body.SnapshotSettings.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotSettings/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotSettings/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/snapshotSettings/get#try-it)

snapshotSettings.get snapshot settings.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/snapshotSettings`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "storageLocation": { "policy": enum, "locations": { string: { "name": string }, ... } }, "accessLocation": { "locations": { string: { "region": string }, ... }, "policy": enum } } ``` |

| Fields ||
|---|---|
| `storageLocation` | `object` Policy of which storage location is going to be resolved, and additional data that particularizes how the policy is going to be carried out. |
| `storageLocation.policy` | `enum` The chosen location policy. |
| `storageLocation.locations[]` | `map (key: string, value: object)` When the policy is SPECIFIC_LOCATIONS, snapshots will be stored in the locations listed in this field. Keys are Cloud Storage bucket locations. Only one location can be specified. |
| `storageLocation.locations[].name` | `string` Name of the location. It should be one of the Cloud Storage buckets. Only one location can be specified. |
| `accessLocation` | `object` (Regional snapshots use only)Policy of which location is allowed to access snapshot. |
| `accessLocation.locations[]` | `map (key: string, value: object)` List of regions that can restore a regional snapshot from the current region |
| `accessLocation.locations[].region` | `string` Accessible region name |
| `accessLocation.policy` | `enum` Policy of which location is allowed to access snapshot. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.snapshotSettings.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).